LOGGER(1)

NAME
logger - make entries in the system log

SYNOPSIS
logger [-cis] [-f file] [-p pri] [-t tag] [message ...]

DESCRIPTION
The logger utility provides a shell command interface to the syslog(3) system log module.

The options are as follows:

-c  If unable to pass the message to syslogd(8), attempt to write the message to the console.

-f file
    Read from the specified file.

-i  Log the process ID of the logger process with each line.

-p pri
    Enter the message with the specified priority. The priority may be specified numerically or as a “facility.level” pair. For example, “-p local3.info” logs the message(s) as informational level in the local3 facility. The default is “user.notice”.

-s  Log the message to standard error, as well as the system log.

-t tag
    Mark every line in the log with the specified tag.

message
    Write the message to log; if not specified, and the -f flag is not provided, standard input is logged.

EXIT STATUS

EXAMPLES

    $ logger System rebooted
    $ logger -p local0.notice -t HOSTIDM -f /dev/idmc

SEE ALSO
syslog(3), syslogd(8)

STANDARDS
The logger utility is compliant with the p1003.1-2008 specification.

The flags [-cfipst] are extensions to that specification.